Bug 812853 - gdm logins not recorded in lastlog
gdm logins not recorded in lastlog
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 08:48 EDT by John Ellson
Modified: 2015-02-17 09:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:13:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch 6 /etc/pamd.gdm* files (2.47 KB, patch)
2012-04-16 08:52 EDT, John Ellson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 675085 None None None 2012-06-13 17:28:23 EDT

  None (edit)
Description John Ellson 2012-04-16 08:48:14 EDT
Description of problem:
gdm logins not recorded in lastlog.   A user can repeatedly login and logout throughgdm, and last log still show "Never loggid in."   This created a problem for Administrators looking for unused accounts.

Version-Release number of selected component (if applicable):
gdm-3.2.1.1-8.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1. lastlog -u someuser
2. gdm login someuser, and logout again
3. lastlog -u someuser
  
Actual results:
No updated time of lastlogin

Expected results:
All logins to the system recorded in lastlog

Additional info:
"finger someuser" exhibits the same problem as "lastlog -u someuser"
Comment 1 John Ellson 2012-04-16 08:52:22 EDT
Created attachment 577704 [details]
patch 6 /etc/pamd.gdm* files

Thomas Mraz <tmraz@redhat.com> suggested:
    It might be solvable by adding the line:
         session    required    pam_lastlog.so silent nowtmp
    to the gdm PAM configuration files.


With minimal testing so far, it seems to be working.
Comment 2 John Ellson 2012-06-12 16:03:37 EDT
I don't see this change in the rawhide distribution yet - has it slipped between the cracks?

Its a concern for accurate auditing of userids in production systems.

IMO, It should also be backported to fedora 15, 16 and rhel 5, 6.
Comment 3 Ray Strode [halfline] 2012-06-13 17:25:20 EDT
we're moving the pam config upstream, i'll paste your patch there so it doesn't slip through the cracks
Comment 4 Ray Strode [halfline] 2012-06-13 17:28:23 EDT
Bug about upstreaming PAM config: https://bugzilla.gnome.org/show_bug.cgi?id=675085
Comment 5 Fedora End Of Life 2013-04-03 14:10:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 12:07:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:13:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.